using BankContracts.BindingModels;
using BankContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BankContracts.BusinessLogicsContracts
{
	public interface IReportLogic
	{
		List<ReportPaymentCurrencyPurchaseViewModel> GetPaymentPurchase(List<PaymentBindingModel> payments);
		List<ReportTransferCurrencyPurchaseViewModel> GetTransferPurchase(ReportBindingModel model);
		void SavePaymentPurchaseToWord(List<PaymentBindingModel> payments);
		void SavePaymentPurchaseToExcel(List<PaymentBindingModel> payments);
		void SaveTransferPurchaseToPDF(ReportBindingModel model);

		List<ReportCurrencyTransferViewModel> GetCurrencyTransfers(List<CurrencyBindingModel> currencies);
		List<ReportCurrencyPurchasePaymentViewModel> GetPurchasePayment(ReportBindingModel model);
        void SaveCurrencyTransfersToWord(List<CurrencyBindingModel> currencies);
        void SaveCurrencyTransfersToExcel(List<CurrencyBindingModel> currencies);
        void SavePurchasePaymentToPDF(ReportBindingModel model);
    }
}
